Package org.apache.juneau.marshall.httppart
package org.apache.juneau.marshall.httppart
HTTP Part Marshalling Support
-
ClassDescriptionBase class for implementations of
HttpPartParserBaseHttpPartParser.Builder<SELF extends BaseHttpPartParser.Builder<SELF>>Builder class.Base class for implementations ofHttpPartParserSessionBase class for implementations ofHttpPartSerializerBaseHttpPartSerializer.Builder<SELF extends BaseHttpPartSerializer.Builder<SELF>>Builder class.Base class for implementations ofHttpPartSerializerSessionRepresents an instance of an HTTP part.Specifies theHttpPartSerializerandHttpPartParserto use for serializing/parsing HTTP parts.Interface used to convert HTTP headers, query parameters, form-data parameters, and URI path variables to POJOsA creator for a part parser.Represent "no" part parser.Session object that lives for the duration of a single use ofHttpPartParser.Represents an OpenAPI schema definition.Builder class.Interface used to convert POJOs to simple strings in HTTP headers, query parameters, form-data parameters, and URI path variables.A creator for a part serializer.Represent "no" part part serializer.Session object that lives for the duration of a single use ofHttpPartSerializer.An implementation ofHttpPartParserthat takes in the strings and tries to convert them to POJOs using constructors and static create methods.Builder class.Session object that lives for the duration of a single use ofSimplePartParser.An implementation ofHttpPartSerializerthat simply serializes everything usingObject.toString().Builder class.Session object that lives for the duration of a single use ofSimplePartSerializer.